Ruby trunk - Bug #7809

Backport RubyGems fixes in r39166 to ruby 2.0.0
02/09/2013 09:28 AM - drbrain (Eric Hodel)

Status: Closed

Priority: Normal

Assignee: drbrain (Eric Hodel)

Target version: 2.0.0

ruby -v: - Backport: 2.3: UNKNOWN, 2.4: UNKNOWN, 2.5:
UNKNOWN

Description

r39166 contains two RubyGems fixes.

The change to lib/rubygems/package.rb is a critical bug fix for RubyGems signing support. Without this fix users of the LowSecurity
policy will not be able to install signed gems.

The change to lib/rubygems/package/old.rb is not a critical bug fix. It will make my diagnosis of problems in RubyGems easier,
though. It does not change operation of RubyGems in Ruby 2.0.0.

Associated revisions

Revision ceff56c7 - 02/13/2013 10:02 PM - drbrain (Eric Hodel)

¢ Backport part of r39166 from trunk [ruby-trunk - Bug #7809]

e lib/rubygems/package.rb: Include checksums.yaml.gz signatures for
verification.

e test/rubygems/test_gem_package.rb: Test for the above.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_0_0@39227 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 02/09/2013 12:00 PM - mame (Yusuke Endoh)

It looks a borderline case. Is there no workaround?

Yusuke Endoh mame@tsg.ne.jp

#2 - 02/10/2013 03:54 AM - drbrain (Eric Hodel)
- File package.rb.signature_fix.patch added

The change to lib/rubygems/package/old.rb is not critical. It suppresses a warning almost nobody will ever see and fixes behavior on 1.8.7. These
are not sufficient for inclusion.

06/25/2018 12


https://bugs.ruby-lang.org/projects/ruby-trunk/repository/revisions/39166
mailto:mame@tsg.ne.jp

The change to lib/rubygems/package.rb is critical. Without it users will not be able to install signed gems built with rubygems 2.0 or newer on ruby

2.0.0 without upgrading rubygems.

The attached patch fixes only the critical issue.

#3 - 02/10/2013 09:03 AM - mame (Yusuke Endoh)

- Assignee changed from mame (Yusuke Endoh) to drbrain (Eric Hodel)

Okay, please commit your second patch. Thank you!

Yusuke Endoh mame@tsg.ne.jp

#4 - 02/14/2013 07:10 AM - drbrain (Eric Hodel)

- Status changed from Assigned to Closed

Fixed by r39227

Files
package.rb.signature_fix.patch 1.25 KB 02/10/2013 drbrain (Eric Hodel)
